CHGRP(1)

NOME
chgrp - altera a propriedade de grupo

SINOPSE
chgrp [OPÇÃO]... GRUPO ARQUIVO...
chgrp [OPÇÃO]... --reference=ARQREF ARQUIVO...

DESCRIÇÃO

Altera o grupo de cada ARQUIVO para GRUPO. Com --reference, altera o grupo de cada ARQUIVO para o mesmo de ARQREF.

-c, --changes
    como verbose, mas só relata quando há alteração

-f, --silent, --quiet
    suprime a maioria das mensagens de erro

-v, --verbose
    emite um diagnóstico para cada arquivo processado

--dereference
    afeta a referência de cada link simbólico em vez do próprio link em si (isso é o padrão)

-h, --no-dereference
    afeta os links simbólicos em vez dos arquivos referenciados por eles (útil somente em sistemas que permitem mudar o dono de um link simbólico)

--no-preserve-root
    não trata "/" de forma diferenciada (o padrão)

--preserve-root
    falha ao operar recursivamente em "/"

--reference=RARQUIVO
    usa o grupo de ARQREF em vez de especificar um valor para GRUPO

-R, --recursive
    opera em arquivos e diretórios recursivamente

As seguintes opções modificam como uma hierarquia é percorrida quando a opção -R é especificada também. Se mais de uma destas forem especificadas, somente a última faz efeito.

-H  se um argumento da linha de comando for um link simbólico para diretório, percorre-o

-L  percorre todo link simbólico para diretório que for encontrado

-P  não percorre links simbólicos (padrão)

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

EXEMPLOS

chgrp equipe /u
    Muda o grupo de /u para "equipe".

chgrp -hR equipe /u
    Muda o grupo de /u e seus arquivos para "equipe".

AUTOR
Escrito por David MacKenzie e Jim Meyering.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2022 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
chown(1), chown(2)

Documentação completa <https://www.gnu.org/software/coreutils/chgrp>
ou disponível localmente via: info '(coreutils) chgrp invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Ricardo C.O.Freitas <english.quest@best-service.com> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).